<!--- Copyright (C) 2009-2013 Typesafe Inc. <http://www.typesafe.com> -->
### Configuration

- [[Configuration file syntax and features | Configuration]]
- [[Configuring the application secret|ApplicationSecret]]
- [[Configuring the JDBC connection pool | SettingsJDBC]]
- [[Configuring Play's thread pools | ThreadPools]]
- [[Configuring logging | SettingsLogger]]
- [[Configuring gzip encoding|GzipEncoding]]
- [[Configuring security headers|SecurityHeaders]]
- [[Configuring WS SSL|WsSSL]]

### Getting started

- [[Installing Play | Installing]]
- [[Creating a new application | NewApplication]]
- [[Anatomy of a Play application | Anatomy]]
- [[Using the Play console | PlayConsole]]
- [[Setting-up your preferred IDE | IDE]]
- [[Play Tutorials|Tutorials]]

### Working with Play 
- [[Play for Scala developers | ScalaHome]]
- [[Play for Java developers | JavaHome]]

### Detailed topics

- [[The Build system | Build]]
- [[Working with public assets | Assets]]
- [[Managing database evolutions | Evolutions]]
- [[Configuration | Configuration]]
- [[Deploying your application | Production]]

### Additional documentations

- [Scala](http://docs.scala-lang.org/)
- [Akka](http://akka.io/docs/)
- [sbt](http://www.scala-sbt.org/learn.html)
- [Configuration](https://github.com/typesafehub/config)
- [Logback](http://logback.qos.ch/documentation.html)

### Hacking Play

- [[Building Play from source|BuildingFromSource]]
- [[3rd Party Tools|ThirdPartyTools]]
- [[Repositories|Repositories]]
- [[Issue tracker|Issues]]
- [[Contributor guidelines|Guidelines]]
- [[Documentation guidelines|Documentation]]

### About Play

- [[Play Philosophy|Philosophy]]
- [[Play User Groups|PlayUserGroups]]

### Modules and plugins

- [[Temporary modules directory|Modules]]

